package com.ruoyi.common.constant;


/**
 * iot常量信息
 *
 * @author ruoyi
 */
public class IotConstants {

    /**
     * 时间单位 分钟
     */
    public static final String TIME_MIN = "min";

    /**
     * 时间单位 小时
     */
    public static final String TIME_HOUR = "hour";
    /**
     * 命令分隔符  @
     */
    public static final String COMMAND_SEPARATOR = "@";

    /**----------------------------地址start----------------------------*/
    /**
     * 命令下发地址
     */
    public static final String ADDS_COMMAND = "/synccmds";

    /**
     * 设备数据点地址
     */
    public static final String ADDS_HISTORY_DATAPOINTS = "/history-datapoints";

    /**
     * 设备数据点地址
     */
    public static final String ADDS_CURRENT_DATAPOINTS = "/current-datapoints";

    /**----------------------------地址end----------------------------*/

    /**----------------------------命令start----------------------------*/
    /**
     * 命令  打开
     */
    public static final String COMMAND_OPEN = "open";

    /**
     * 命令  关闭
     */
    public static final String COMMAND_CLOSE = "close";

    /**----------------------------命令end----------------------------*/


    /**----------------------------启动模式start----------------------------*/
    /**
     * 启动模式  0-手动模式；；2-土壤湿度低启动
     */
    public static final String START_MODE_MANUAL = "0";

    /**
     * 启动模式  1-定时模式
     */
    public static final String START_MODE_REGULAR = "1";

    /**
     * 启动模式  2-土壤湿度低启动
     */
    public static final String START_MODE_HUMIDITY = "2";


    /**----------------------------启动模式end----------------------------*/

    /**
     * ONENET日志
     */
    public static final String ONENET_LOG = "LOG";

}
